import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listFile(query) {
  return request({
    url: '/train/file/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getFile(id) {
  return request({
    url: '/train/file/' + id,
    method: 'get'
  })
}
// 查询【请填写功能名称】详细
export function getFileByTrainId(trainId) {
  return request({
    url: '/train/file/fileByTrainId',
    method: 'get',
    params: {trainId}
  })
}

// 新增【请填写功能名称】
export function addFile(data) {
  return request({
    url: '/train/file',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateFile(data) {
  return request({
    url: '/train/file',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delFile(id) {
  return request({
    url: '/train/file/' + id,
    method: 'delete'
  })
}
